Rem Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
Rem
Rem    NAME
Rem      createTable.sql
Rem
Rem    DESCRIPTION
Rem      Creates input and output tables for the demo
Rem
Rem    VERSION
Rem     1.0.1
Rem

SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

drop table InTable;
CREATE TABLE InTable (
  INVOICE         VARCHAR2(100)
constraint IS_VALID_JSON
  check(INVOICE IS JSON)
);

DROP TABLE OutTable;
CREATE TABLE OutTable (
  ITEM_PAIR VARCHAR2(10),
  FREQUENCY NUMBER
);
quit;
