#!/usr/local/bin/perl
# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      installMarketRatings.pl
#
#    DESCRIPTION
#     Loads classes and resources required for demo 
#
#    VERSION
#     1.0.1
#

use Term::ReadKey; 

print "Enter schema name where MarketRatings will be run\n";
$username = <STDIN>;
chomp($username);

print "Enter password\n";
ReadMode('noecho');
$password = <STDIN>;
chomp($password);
ReadMode(0);

chdir "../src";
system("loadjava -u $username/$password -v -r -f -resolver \"((* $username)(* OC4H_INSTALL)(* SYS))\" MarketRatings.java");
system("loadjava -u $username/$password -v -r -f -resolver \"((* $username)(* OC4H_INSTALL)(* SYS))\" MarketRatingsSQL.java");

chdir "../conf";
system("loadjava -u $username/$password -v -r -f -resolver \"((* $username)(* OC4H_INSTALL)(* SYS))\" MarketRatingsTableConf.xml");

chdir "../sql";
system("sqlplus $username/$password @ CreateFarmersMarketTable.sql");

chdir "../data";
#Use sqlldr to read data into the table from csv file.
system("sqlldr $username/$password CONTROL=FarmersMarket.ctl LOG=FarmersMarket.log BAD=FarmersMarket.bad skip=1");

chdir "../sql";
system("sqlplus $username/$password @ CreateFarmersMarketView.sql");
