Rem Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      CreateFarmersMarketView.sql
Rem
Rem    DESCRIPTION
Rem     Creates view from FarmersMarket table.
Rem
Rem    VERSION
Rem     1.0.1

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

drop view FarmersMarketView;

create view FarmersMarketView(MarketData)
as select city||','||state||','||Credit||','||WIC||','||
WICcash||','||SFMNP||','||SNAP||','||Bakedgoods||','||
Cheese||','||Crafts||','||Flowers||','||Eggs||','||
Seafood||','||Herbs||','||Vegetables||','||Honey||','||
Jams||','||Maple||','||Meat||','||Nursery||','||Nuts||
','||Plants||','||Poultry||','||Prepared||','||Soap||
','||Trees||','||Wine
from FarmersMarket;
quit;
