Rem Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
Rem
Rem    NAME
Rem      WordCountScala.sql
Rem
Rem    DESCRIPTION
Rem     Runs the demo.
Rem
Rem    VERSION
Rem     1.0.1
Rem

drop table InTable;
-- Create the input tables.
CREATE TABLE InTable (
  KEYIN         VARCHAR2(100),
  VALUEIN       VARCHAR2(1000)
);


-- Populate the input table.
insert into InTable values ('1', 'Alice is great');
insert into InTable values ('3', 'Charlie is nice');
insert into InTable values ('2', 'Bob is cool');
insert into InTable values ('4', 'Dave is cool too');
insert into InTable values ('5', 'Hello World');
insert into InTable values ('6', 'Bob uses Scala');
select * from InTable;



-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE WordCount;
-- Create JobRun function.
CREATE OR REPLACE PROCEDURE WordCount
        AS LANGUAGE JAVA
        NAME 'WordCount.run()';
/

DROP TABLE OutTable;

SET TIMING ON
Call WordCount();
select * from OutTable order by keyout;
quit

