Rem Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
Rem
Rem    NAME
Rem     export_oc4hadoop_classes.sql
Rem
Rem    DESCRIPTION
Rem     Grant exec to public and create public synonyms for some classes
Rem
Rem    VERSION
Rem     1.0.1
Rem

-- public grants and synonyms
begin
  oc4hadoop_sys.export_class('oracle/hadoop/loader/lib/input/OldToNewInputFormat');
  oc4hadoop_sys.export_class('oracle/hadoop/loader/lib/input/OldToNewInputSplit');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/ConfigManager');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/DBMultipleInputs');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/HInputAndMapImpl');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/HInputImpl');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/HInputSplitsImpl');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/Job$HiveTypes');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/Job$Operation');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/Job');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/MapperImpl');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/MultiValueMapperImpl');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/PipelinedJob');
  oc4hadoop_sys.export_class('oracle/sql/hadoop/ReducerImpl');
  oc4hadoop_sys.export_class('org/apache/commons/logging/Log');
  oc4hadoop_sys.export_class('org/apache/commons/logging/LogConfigurationException');
  oc4hadoop_sys.export_class('org/apache/commons/logging/LogFactory');
  oc4hadoop_sys.export_class('org/apache/commons/logging/impl/Log4JLogger');
  oc4hadoop_sys.export_class('org/apache/commons/logging/impl/LogFactoryImpl');
  oc4hadoop_sys.export_class('org/apache/hadoop/classification/InterfaceAudience$LimitedPrivate');
  oc4hadoop_sys.export_class('org/apache/hadoop/classification/InterfaceAudience');
  oc4hadoop_sys.export_class('org/apache/hadoop/conf/Configurable');
  oc4hadoop_sys.export_class('org/apache/hadoop/conf/Configuration');
  oc4hadoop_sys.export_class('org/apache/hadoop/conf/Configured');
  oc4hadoop_sys.export_class('org/apache/hadoop/fs/Path');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/AbstractMapWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/ArrayWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/BinaryComparable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/BooleanWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/ByteWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/BytesWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/DoubleWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/FloatWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/IOUtils');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/IntWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/LongWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/MapWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/NUMBERWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/NullWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/Text');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/VIntWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/VLongWritable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/Writable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/WritableComparable');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/serializer/WritableSerialization');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/serializer/avro/AvroReflectSerialization');
  oc4hadoop_sys.export_class('org/apache/hadoop/io/serializer/avro/AvroSpecificSerialization');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapred/FileSplit');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapred/TextInputFormat');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/InputFormat');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/InputSplit');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/Job');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/JobContext');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/JobID');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/MRJobConfig');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/MapContext');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/Mapper$Context');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/Mapper');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/Partitioner');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/ReduceContext');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/Reducer$Context');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/Reducer');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/TaskAttemptContext');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/TaskInputOutputContext');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/lib/input/FileInputFormat');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/lib/input/FileSplit');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/lib/input/TextInputFormat');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/lib/output/SequenceFileOutputFormat');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/lib/output/TextOutputFormat');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/task/JobContextImpl');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/task/MapContextImpl');
  oc4hadoop_sys.export_class('org/apache/hadoop/mapreduce/task/ReduceContextImpl');
  oc4hadoop_sys.export_class('org/apache/hadoop/util/GenericOptionsParser');
  oc4hadoop_sys.export_class('org/apache/hadoop/util/Progressable');
  oc4hadoop_sys.export_class('org/apache/hadoop/util/Tool');
  oc4hadoop_sys.export_class('org/apache/hadoop/util/ToolRunner');
  oc4hadoop_sys.export_class('org/apache/log4j/ConsoleAppender');
  oc4hadoop_sys.export_class('org/apache/log4j/PatternLayout');
  oc4hadoop_sys.export_class('org/apache/log4j/jdbc/JDBCAppender');
  oc4hadoop_sys.export_resource('log4j.properties');
end;
/
