Rem Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
Rem
Rem    NAME
Rem      MarketBasket.sql
Rem
Rem    DESCRIPTION
Rem     Runs the demo
Rem    
Rem    VERSION
Rem     1.0.1

SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 100
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE MarketBasket;
-- Create JobRun function.
CREATE OR REPLACE PROCEDURE MarketBasket(arg VARCHAR2)
        AS LANGUAGE JAVA
        NAME 'oracle.sql.hadoop.examples.MarketBasket.run(java.lang.String)';
/

SET TIMING ON
Call MarketBasket('');
select * from OutTable where frequency > 18 order by item_pair;
quit;

