#!/usr/local/bin/perl
# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      runMarketRatingsForTable.pl
#
#    DESCRIPTION
#     Runs the demo on data residing in table. 
#
#    VERSION
#     1.0.1
# 
use Term::ReadKey;

print "Enter schema name where MarketRatings is loaded\n";
$username = <STDIN>;
chomp($username);

print "Enter password\n";
ReadMode('noecho');
$password = <STDIN>;
chomp($password);
ReadMode(0);

print "Enter mode of operation(driver or sql)\n";
print "Press Enter to use default [driver]:\n";
$mode = <STDIN>;
chomp($mode);
if ($mode eq "") {
  $mode = "driver";
}

chdir "../sql";
if ("$mode" eq "driver") {
  system("sqlplus $username/$password @ MarketRatings.sql 1 1");
}

if ("$mode" eq "sql") {
  system("sqlplus $username/$password @ MarketRatingsSQL.sql 1");
}
