Rem Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      CreateFarmersMarketTable.sql
Rem
Rem    DESCRIPTION
Rem     Creates FarmersMarket table 
Rem
Rem    VERSION
Rem     1.0.1

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

drop table FarmersMarket;

CREATE TABLE FarmersMarket ( FMID VARCHAR2(50),
    MarketName VARCHAR2(150),
    Website VARCHAR2(150),
    Street VARCHAR2(150),
    City VARCHAR2(50),
    County VARCHAR2(50),
    State VARCHAR2(50),
    Zip VARCHAR2(20),
    Schedule VARCHAR2(1100),
    x VARCHAR2(20),
    y VARCHAR2(20),
    Location VARCHAR2(500),
    Credit VARCHAR2(1),
    WIC VARCHAR2(1),
    WICcash VARCHAR2(1),
    SFMNP VARCHAR2(1),
    SNAP VARCHAR2(1),
    Bakedgoods VARCHAR2(1),
    Cheese VARCHAR2(1),
    Crafts VARCHAR2(1),
    Flowers VARCHAR2(1),
    Eggs VARCHAR2(1),
    Seafood VARCHAR2(1),
    Herbs VARCHAR2(1),
    Vegetables VARCHAR2(1),
    Honey VARCHAR2(1),
    Jams VARCHAR2(1),
    Maple VARCHAR2(1),
    Meat VARCHAR2(1),
    Nursery VARCHAR2(1),
    Nuts VARCHAR2(1),
    Plants VARCHAR2(1),
    Poultry VARCHAR2(1),
    Prepared VARCHAR2(1),
    Soap VARCHAR2(1),
    Trees VARCHAR2(1),
    Wine VARCHAR2(1),
    updateTime VARCHAR2(20));
quit;
