Rem Copyright (c) 2013, 2014, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      MarketRatings.sql
Rem
Rem    DESCRIPTION
Rem     Runs the MarketRatings demo
Rem
Rem    VERSION
Rem     1.0.1

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

DROP TABLE OutTable;

-- Call the Java program to accept configuration, generate the query and run it.
DROP PROCEDURE RunMarketRatings;
CREATE OR REPLACE PROCEDURE RunMarketRatings(conf VARCHAR2,runForTable NUMBER) 
AS LANGUAGE JAVA
NAME 'oracle.oc4hadoop.demo.MarketRatings.run(java.lang.String,int)';
/

SET TIMING ON
call RunMarketRatings('-D mapred.input.dir=&2',&1);
select * from OutTable order by keyout, valueout;
quit;
