#!/usr/local/bin/perl
# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      runDemo.pl
#
#    DESCRIPTION
#     This perl script loads and runs the demo.
#

use Term::ReadKey;

# Enter the username and password to login to oracle
print "Enter the java file path to be loaded (Case sensitive)\n";
$javafile = <STDIN>;
chomp($javafile);

print "Enter the SQL file path to be loaded (Case sensitive)\n";
$sqlfile = <STDIN>;
chomp($sqlfile);

print "Enter schema name where demo will run\n";
$username = <STDIN>;
chomp($username);

print "Enter password\n";
ReadMode('noecho');
$password = <STDIN>;
chomp($password);
ReadMode(0);

# Load the file using loadjava tool
system("loadjava -u $username/$password -v -r -f -resolver \"((* $username)(* OC4H_INSTALL)(* SYS))\" $javafile");

system("sqlplus $username/$password @ $sqlfile");
