#!/usr/local/bin/perl
# Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.
#
#    NAME
#      run.pl
#
#    DESCRIPTION
#     RUns the demo.
#
#    VERSION
#     1.0.1
#
use Term::ReadKey;

print "scala-library.jar should be loaded in database\n";
print "Enter schema name where WordCount will be run\n";
$username = <STDIN>;
chomp($username);

print "Enter password\n";
ReadMode('noecho');
$password = <STDIN>;
chomp($password);
ReadMode(0);

chdir "../lib";
system("loadjava -u $username/$password -v -r -f -resolver \"((* $username)(* OC4H_INSTALL)(* SYS))\" wordcount-scala.jar");

chdir "../sql";
system("sqlplus $username/$password @ WordCountScala.sql");

chdir "../lib";
system("dropjava -u $username/$password -v -r -f wordcount-scala.jar");
